#include "name_test.h"

	Initiator::Initiator(sc_module_name) 
		: socket("socket") 
		{
		SC_THREAD(behav);
	}

	void Initiator::behav() {
		tlm::tlm_generic_payload trans;
		sc_time delay(SC_ZERO_TIME);
		socket->b_transport( trans, delay);
	}


	TOP::TOP(sc_module_name) :
		socket("socket"), init("init")
		{
		socket.register_b_transport(this, &TOP::b_transport);
		init.socket.bind(socket);
	}

	void TOP::b_transport( tlm::tlm_generic_payload& trans, sc_time& delay ) {
		std::cout << "b_transport called!\n";
	}
	

int sc_main(int argc, char* argv[]) {
	TOP t("t");
	sc_start();
	return 0;
}

