#include "systemc.h"

class FunctionCalls: public sc_module {
public:
  int x, y, z;
  sc_event e;
  bool test;

  SC_HAS_PROCESS(FunctionCalls);

  void function_calls_simple()
  {
    int aa;
    function_calls_func_a();
    int bb;
  }

  void function_calls_func_a()
  {
    int func_a_aa_begin;
    function_calls_func_b();
    int func_a_aa_end;
  }

  void function_calls_func_b()
  {
    int func_b_aa_begin;
    function_calls_func_c();
    int func_b_aa_end;
  }

  void function_calls_func_c()
  {
    int func_c_aa_begin;
    int func_c_aa_end;
  }

  void function_calls_simple_1()
  {
    int aa;
    function_calls_func_a_1();
    int bb;
  }

  void function_calls_func_a_1()
  {
    int func_a_aa_begin;
    wait();
    function_calls_func_b_1();
    int func_a_aa_end;
  }

  void function_calls_func_b_1()
  {
    int func_b_aa_begin;
    wait();
    function_calls_func_c_1();
    int func_b_aa_end;
  }

  void function_calls_func_c_1()
  {
    int func_c_aa_begin;
    int func_c_aa_end;
  }

  void function_calls_simple_2()
  {
    int xx;
    function_calls_func_a_1();
    int yy;
    wait();
    int zz;
  }

  void function_calls_simple_3()
  {
    int mm;
    function_calls_func_a_1();
    int nn;
    wait();
    int oo;
  }

  void function_calls_simple_4()
  {
    int xx = 1;
    int kk[1];
    kk[2] = function_calls_func_d_1();
    int yy = 1;
  }

  int function_calls_func_d_1()
  {
    int begin_d_1 = 1;
    wait();
    int end_d_1 = 1;

    int return_value;
    return return_value;
  }

  int function_calls_func_d_2()
  {
    int begin_d_2 = 1;
    wait();
    int end_d_2 = 1;

    int return_value;
    return return_value;
  }

  void function_calls_simple_5()
  {
    int xx = 11;
    int yy = function_calls_func_e_1();
    int zz = 22;
  }

  int function_calls_func_e_1()
  {
    int begin_e_1 = 33;
    wait();
    int end_e_1 = 44;

    int return_value;
    return return_value;
  }

  void function_calls_simple_6()
  {
    int var1, var2;
    int array[2][2];
    array[var1][var2] = function_calls_func_f_1();
    int bb = 1;
  }

  int function_calls_func_f_1()
  {
    int begin_e_1 = 33;
    wait();
    int end_e_1 = 44;

    int return_value;
    return return_value;
  }


  void function_calls_simple_7()
  {
    int aa;
    wait();
    int bb;
    function_calls_func_g_1();
    int cc;
    wait();
    int dd;
  }

  int function_calls_func_g_1()
  {
    int g_0;
    wait();
    int g_1 = 33;

    if(g_1 == 88) {
      int g_2;
      wait();
      int g_3 = 44;
      return 43;
      int DO_NOT_SHOW_UP;
    }
    int g_4;
    wait();
    int g_5;
    wait();
    int g_6;
    int return_value = 2;
    return return_value;
  }

  void function_calls_simple_8()
  {
    int aa;
    wait();
    int bb;
    function_calls_func_h_1();
    int cc;
    wait();
    int dd;
  }

  void function_calls_simple_9()
  {
    int mm;
    wait();
    int nn;
    function_calls_func_h_1();
    int oo;
    wait();
    int pp;
  }

  void function_calls_simple_10()
  {
    int uu;
    wait();
    int vv;
    function_calls_func_h_1();
    int ww;
    wait();
    int xx;
  }

  void function_calls_func_h_1()
  {
    int h_1;
    wait();
    int h_2;
    if (h_1 > 3) {
      int h_3;
      wait();
      int h_4;
      return;
    }
    int h_5;
    wait();
    int h_6;
  }

  void function_call_var_decl()
  {
    int var_decl_begin;
    int my_var = var_decl_begin + 4 + func_with_wait();
    func_with_wait_1();
    int my_var_2 = var_decl_begin + 4 + func_with_wait_1();
    int var_decl_end;
    wait();
    int end_function_call_var_decl;
  }

  int func_with_wait()
  {
    int function_with_wait_begin;
    wait();
    int function_with_wait_end;
    return 5;
  }

  int func_with_wait_1()
  {
    int function_with_wait_1_begin;
    wait();
    int function_with_wait_1_end;
    return 10;
  }

  void function_call_expr_decompose()
  {
    int var_decl_begin;
    int my_var = var_decl_begin + 4 + func_with_wait_1();
    int my_var_2;
    my_var_2 = func_with_wait_2();
    func_with_wait_1();
    int var_decl_end;
    wait();
    int end_function_call_expr_decompose;
  }

  int func_with_wait_2()
  {
    int function_with_wait_2_begin;
    wait();
    int function_with_wait_2_end;
    return 5;
  }

  void function_calls_simple_11()
  {
    int array[] = {1,function_calls_func_i_1(),3,function_calls_func_j_1(),5};
    wait();
    int array1[] = {1,function_calls_func_i_1(),3,function_calls_func_j_1(),5};
  }

  int function_calls_func_i_1()
  {
    int function_calls_func_i_1_begin;
    int function_calls_func_i_1_end;
    return 0;
  }

  int function_calls_func_j_1()
  {
    int begin_function_calls_func_j_1;
    wait();
    int end_function_calls_func_j_1;
    return 0;
  }

  void function_calls_simple_12()
  {
    int i = function_calls_func_k_1() + function_calls_func_l_1();
    int j;
    j = function_calls_func_k_1() + function_calls_func_l_1();
  }

  int function_calls_func_k_1()
  {
    int begin_function_calls_func_k_1;
    wait();
    int end_function_calls_func_k_1;
  }

  int function_calls_func_l_1()
  {
    int begin_function_calls_func_l_1;
    wait();
    int end_function_calls_func_l_1;
  }

  void function_calls_simple_13()
  {
    int i = function_calls_func_m_1() + function_calls_func_m_1();
    int j;
    j = function_calls_func_n_1() + function_calls_func_n_1();
  }

  int function_calls_func_m_1()
  {
    int begin_function_calls_func_m_1;
    wait();
    int end_function_calls_func_m_1;
  }

  int function_calls_func_n_1()
  {
    int begin_function_calls_func_n_1;
    wait();
    int end_function_calls_func_n_1;
  }

  void function_calls_simple_14()
  {
    int aa;
    wait();
    int bb;
    function_calls_func_o_1();
    int cc;
    wait();
    int dd;
  }
  
  int function_calls_func_o_1()
  {
    int aa_o_1;
    if (true)
    {
      int bb_o_1;
      wait();
      int cc_o_1;
      return 0;
      int dd_o_1;
    }
    else
    {
      int ee_o_1;
      return 1;
      int ff_o_1;
      wait();
      int gg_o_1;
    } 
    while (true)
    {
      int hh_o_1;
      wait();
      int ii_o_1;
      if (true)
      {
        int jj_o_1;
        wait();
        int kk_o_1;
        return 2;
        int ll_o_1;
      }
      int mm_o_1;
      wait();
      int nn_o_1;
      return 3;
      int oo_o_1; 
    }
    int pp_o_1;
    wait();
    int qq_o_1;
    return 4;
    int rr_o_1;
  }
 
  void function_calls_simple_15()
  {
    int aa;
    wait();
    int bb;
    function_calls_func_p_1();
    int cc;
    wait();
    int dd;
  }

  void function_calls_func_p_1()
  {
    int aa_p_1;
    if (true)
    {
      int bb_p_1;
      wait();
      int cc_p_1;
      return;
      int dd_p_1;
    }
    else
    {
      int ee_p_1;
      return;
      int ff_p_1;
      wait();
      int gg_p_1;
    } 
    while (true)
    {
      int hh_p_1;
      wait();
      int ii_p_1;
      if (true)
      {
        int jj_p_1;
        wait();
        int kk_p_1;
        return;
        int ll_p_1;
      }
      int mm_p_1;
      wait();
      int nn_p_1;
      return;
      int oo_p_1; 
    }
    int pp_p_1;
    wait();
    int qq_p_1;
    int rr_p_1;
  }

  void function_calls_simple_16()
  {
    int aa; 
    wait();
    int bb; 
    function_calls_func_o_2();
    int cc; 
    wait();
    int dd; 
  }
  
  int function_calls_func_o_2()
  {
    int aa_o_2;
    if (true)
    {   
      int bb_o_2;
      wait();
      int cc_o_2;
      return 0;
      int dd_o_2;
    }   
    else
    {   
      int ee_o_2;
      int ff_o_2;
      wait();
      int gg_o_2;
    }   
    while (true)
    {   
      int hh_o_2;
      wait();
      int ii_o_2;
      if (true)
      {   
        int jj_o_2;
        wait();
        int kk_o_2;
        return 2;
        int ll_o_2;
      }   
      int mm_o_2;
      wait();
      int nn_o_2;
      return 3;
      int oo_o_2; 
    }   
    int pp_o_2;
    wait();
    int qq_o_2;
    return 4;
    int rr_o_2;
  }

  void function_calls_simple_17()
  {
    int aa;
    wait();
    int bb;
    function_calls_func_p_2();
    int cc;
    wait();
    int dd;
  }

  void function_calls_func_p_2()
  {
    int aa_p_2;
    if (true)
    {
      int bb_p_2;
      wait();
      int cc_p_2;
      return;
      int dd_p_2;
    }
    else
    {
      int ee_p_2;
      int ff_p_2;
      wait();
      int gg_p_2;
    }
    while (true)
    {
      int hh_p_2;
      wait();
      int ii_p_2;
      if (true)
      {
        int jj_p_2;
        wait();
        int kk_p_2;
        return;
        int ll_p_2;
      }
      int mm_p_2;
      wait();
      int nn_p_2;
      return;
      int oo_p_2;
    }
    int pp_p_2;
    wait();
    int qq_p_2;
    int rr_p_2;
  }
 
  void function_calls_simple_18()
  {
    int aa; 
    wait();
    int bb; 
    function_calls_func_o_3();
    int cc; 
    wait();
    int dd; 
  }
  
  int function_calls_func_o_3()
  {
    int aa_o_3;
    if (true)
    {   
      int bb_o_3;
      wait();
      int cc_o_3;
      return 0;
      int dd_o_3;
    }   
    else
    {   
      int ee_o_3;
      return 1;
      int ff_o_3;
      wait();
      int gg_o_3;
    }   
    while (true)
    {   
      int hh_o_3;
      wait();
      int ii_o_3;
      if (true)
      {   
        int jj_o_3;
        wait();
        int kk_o_3;
        return 2;
        int ll_o_3;
      }   
      int mm_o_3;
      wait();
      int nn_o_3;
      return 3; 
      int oo_o_3; 
    }   
    int pp_o_3;
    wait();
    int qq_o_3;
    int rr_o_3;
  }

  void function_calls_simple_19()
  {
    int aa;
    wait();
    int bb;
    function_calls_func_p_3();
    int cc;
    wait();
    int dd;
  }

  void function_calls_func_p_3()
  {
    int aa_p_3;
    if (true)
    {
      int bb_p_3;
      wait();
      int cc_p_3;
      return;
      int dd_p_3;
    }
    else
    {
      int ee_p_3;
      return;
      int ff_p_3;
      wait();
      int gg_p_3;
    }
    while (true)
    {
      int hh_p_3;
      wait();
      int ii_p_3;
      if (true)
      {
        int jj_p_3;
        wait();
        int kk_p_3;
        return;
        int ll_p_3;
      }
      int mm_p_3;
      wait();
      int nn_p_3;
      int oo_p_3;
    }
    int pp_p_3;
    wait();
    int qq_p_3;
    int rr_p_3;
  }

  void function_calls_simple_20()
  {
    int aa;
    wait();
    aa = 1;
    int bb;
    wait();
    bb = 2;
    int cc = 3;
    int dd;
    wait();
    dd = aa + bb + function_calls_func_q(function_calls_func_r(), function_calls_func_s(), cc);
    int ee;
    wait(); 
    ee = function_calls_func_q(function_calls_func_r(), function_calls_func_s(), cc) + aa + bb;
  }
  
  int function_calls_func_q(int in_a, int in_b, int in_c)
  {
    return in_a + in_b + in_c;
  }

  int function_calls_func_r()
  {
    return -4;
  }

  int function_calls_func_s()
  {
    wait();
    return 5;
    wait();
  }

  void function_calls_simple_21()
  {
    int aa;
    wait();
    aa = 1;
    int bb;
    wait();
    bb = 2;
    int cc;
    wait();
    cc = aa + bb + function_calls_func_t(function_calls_func_u(function_calls_func_v()));
    wait();
    int dd = function_calls_func_t(function_calls_func_u(function_calls_func_v())) + aa + bb;
  }

  int function_calls_func_t(int in_t)
  {
    return in_t;
  }

  int function_calls_func_u(int in_u)
  {
    wait();
    return in_u;
    wait();
  }

  int function_calls_func_v()
  {
    wait();
    return 4;
    wait();
  }

  void function_calls_simple_22()
  {
    int aa;
    wait();
    aa = 1;
    int bb;
    wait();
    bb = 2;
    int cc;
    wait();
    cc = aa + bb + function_calls_func_w(function_calls_func_x(function_calls_func_y()));
    wait();
    int dd = function_calls_func_w(function_calls_func_x(function_calls_func_y())) + aa + bb;
  }

  int function_calls_func_w(int in_w)
  {
    return in_w;
  }

  int function_calls_func_x(int in_x)
  {
    wait();
    return in_x;
    wait();
  }

  int function_calls_func_y()
  {
    return 4;
  }

  void function_calls_simple_23()
  {
    int aa;
    wait();
    aa = 1;
    int bb;
    wait();
    bb = 2;
    int cc;
    wait();
    cc = aa + bb + function_calls_func_z(function_calls_func_aa(function_calls_func_bb()));
    wait();
    int dd = function_calls_func_z(function_calls_func_aa(function_calls_func_bb())) + aa + bb;
  }

  int function_calls_func_z(int in_z)
  {
    return in_z;
  }

  int function_calls_func_aa(int in_aa)
  {
    return in_aa;
  }

  int function_calls_func_bb()
  {
    wait();
    return 4;
    wait();
  }
    
  void function_calls_simple_24()
  {
    int aa;
    wait();
    aa = 1;
    int bb;
    wait();
    bb = 2;
    int cc;
    wait();
    cc = aa + bb + function_calls_func_cc(function_calls_func_dd(function_calls_func_ee()));
    wait();
    int dd = function_calls_func_cc(function_calls_func_dd(function_calls_func_ee())) + aa + bb;
  }

  int function_calls_func_cc(int in_cc)
  {
    return in_cc;
  }

  int function_calls_func_dd(int in_dd)
  {
    return in_dd;
  }

  int function_calls_func_ee()
  {
    return 4;
  }

  void function_calls_simple_25()
  {
    int aa;
    wait();
    aa = 0;
    int bb;
    wait();
    bb = 1;
    int cc;
    wait();
    cc = aa + bb + function_calls_func_ff(function_calls_func_ff(function_calls_func_gg(),function_calls_func_gg()),function_calls_func_gg());
    wait();
    int dd = function_calls_func_ff(function_calls_func_ff(function_calls_func_gg(),function_calls_func_gg()),function_calls_func_gg()) + aa + bb;
  }

  int function_calls_func_ff(int in_ff_1, int in_ff_2)
  {
    wait();
    return in_ff_1 + in_ff_2;
  }

  int function_calls_func_gg()
  {
    wait();
    return 4;
  }

  void function_calls_simple_26()
  {
    int aa;
    int bb;
    int cc;
    wait();
    aa = 1;
    bb = 2;
    wait();
    cc = aa + bb + function_calls_func_hh(function_calls_func_ii(function_calls_func_jj(),function_calls_func_kk()),function_calls_func_ll());
    wait();
  }

  int function_calls_func_hh(int in_hh_1, int in_hh_2)
  {
    int begin_function_calls_func_hh;
    wait();
    return in_hh_1 + in_hh_2;
  }

  int function_calls_func_ii(int in_ii_1, int in_ii_2)
  {
    int begin_function_calls_func_ii;
    wait();
    return in_ii_1 + in_ii_2;
  }

  int function_calls_func_jj()
  {
    int begin_function_calls_func_jj;
    wait();
    return 0;
  }

  int function_calls_func_kk()
  {
    int begin_function_calls_func_kk;
    wait();
    return 1;
  }

  int function_calls_func_ll()
  {
    int begin_function_calls_func_ll;
    wait();
    return 2;
  }

  void function_calls_simple_27()
  {
    int aa;
    int bb;
    int cc;
    aa = 1;
    bb = 2;
    cc = aa + bb + function_calls_func_hh_1(function_calls_func_ii_1(function_calls_func_jj_1(),function_calls_func_kk_1()),function_calls_func_ll_1());
  }

  int function_calls_func_hh_1(int in_hh_1, int in_hh_2)
  {
    int begin_function_calls_func_hh_1;
    return in_hh_1 + in_hh_2;
  }

  int function_calls_func_ii_1(int in_ii_1, int in_ii_2)
  {
    int begin_function_calls_func_ii_1;
    return in_ii_1 + in_ii_2;
  }

  int function_calls_func_jj_1()
  {
    int begin_function_calls_func_jj_1;
    return 0;
  }

  int function_calls_func_kk_1()
  {
    int begin_function_calls_func_kk_1;
    return 1;
  }

  int function_calls_func_ll_1()
  {
    int begin_function_calls_func_ll_1;
    return 2;
  }

  void function_calls_simple_28()
  {
    int aa;
    int bb;
    int cc;
    wait();
    aa = 1;
    bb = 2;
    cc = 3;
    wait();
    int dd = aa + function_calls_func_mm(function_calls_func_nn(function_calls_func_oo())) + bb + function_calls_func_pp(function_calls_func_qq()) + cc;
  }

  int function_calls_func_mm(int in_mm)
  {
    int begin_function_calls_func_mm;
    wait();
    return in_mm;
  }

  int function_calls_func_nn(int in_nn)
  {
    int begin_function_calls_func_nn;
    wait();
    return in_nn;
  }

  int function_calls_func_oo()
  {
    int begin_function_calls_func_oo;
    wait();
    return 0;
  }

  int function_calls_func_pp(int in_pp)
  {
    int begin_function_calls_func_pp;
    wait();
    return 1;
  }

  int function_calls_func_qq()
  {
    int begin_function_calls_func_qq;
    wait();
    return 2;
  }

  void function_calls_simple_29()
  {
    int aa;
    int bb;
    int cc;
    aa = 1;
    bb = 2;
    cc = 3;
    int dd = aa + function_calls_func_mm_1(function_calls_func_nn_1(function_calls_func_oo_1())) + bb + function_calls_func_pp_1(function_calls_func_qq_1()) + cc;
  }

  int function_calls_func_mm_1(int in_mm)
  {
    int begin_function_calls_func_mm_1;
    return in_mm;
  }

  int function_calls_func_nn_1(int in_nn)
  {
    int begin_function_calls_func_nn_1;
    return in_nn;
  }

  int function_calls_func_oo_1()
  {
    int begin_function_calls_func_oo_1;
    return 0;
  }

  int function_calls_func_pp_1(int in_pp)
  {
    int begin_function_calls_func_pp_1;
    return 1;
  }

  int function_calls_func_qq_1()
  {
    int begin_function_calls_func_qq_1;
    return 2;
  }


  FunctionCalls(sc_module_name mn): sc_module(mn)
  {
    SC_THREAD(function_calls_simple);
    SC_THREAD(function_calls_simple_1);
    SC_THREAD(function_calls_simple_2);
    SC_THREAD(function_calls_simple_3);
    SC_THREAD(function_calls_simple_4);
    SC_THREAD(function_calls_simple_5);
    SC_THREAD(function_calls_simple_6);
    SC_THREAD(function_calls_simple_7);
    SC_THREAD(function_calls_simple_8);
    SC_THREAD(function_calls_simple_9);
    SC_THREAD(function_calls_simple_10);
    SC_THREAD(function_call_var_decl);
    SC_THREAD(function_call_expr_decompose);
    SC_THREAD(function_calls_simple_11);
    SC_THREAD(function_calls_simple_12);
    SC_THREAD(function_calls_simple_13);
    SC_THREAD(function_calls_simple_14);
    SC_THREAD(function_calls_simple_15);
    SC_THREAD(function_calls_simple_16);
    SC_THREAD(function_calls_simple_17);
    SC_THREAD(function_calls_simple_18);
    SC_THREAD(function_calls_simple_19);
    SC_THREAD(function_calls_simple_20);
    SC_THREAD(function_calls_simple_23);
    SC_THREAD(function_calls_simple_24);
    SC_THREAD(function_calls_simple_22);
    SC_THREAD(function_calls_simple_21);
    SC_THREAD(function_calls_simple_25);
    SC_THREAD(function_calls_simple_26);
    SC_THREAD(function_calls_simple_27);
    SC_THREAD(function_calls_simple_28);
    SC_THREAD(function_calls_simple_29);
  }
};



#ifndef RISC_ALL_SEGMENT_TESTS
int sc_main(int argc, char **argv)
{
  FunctionCalls mm("mm");

  sc_start();
  return 0;
}
#endif

/* ex: set softtabstop=2 tabstop=2 shiftwidth=2 expandtab: */
